## fbpanel 4.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 
 
-SRC = panel.c misc.c plugin.c gtkbar.c bg.c gtkbgbox.c ev.c
+SRC = panel.c misc.c plugin.c gtkbar.c bg.c gtkbgbox.c ev.c configurator.c
 OBJ = $(SRC:%.c=%.o)
 DEP = $(SRC:%.c=%.dep)
