## fbpanel 6.1

=== plugins/unstable/test/Makefile ===
include /home/anatoly/src/fbpanel/trunk/config.mk

SRCS = test.c 
LIBTARGET = test.so
install:
	$(install) 755 $(LIBDIR)/fbpanel 755 $(LIBTARGET)

include /home/anatoly/src/fbpanel/trunk/rules.mk
