=== debian/changelog ===
fbpanel (6.1-6) unstable; urgency=low

  * Fix local patched hintings on plugin/volume issue (ref: ALSA vs OSS).
  * Adopt dpkg-buildflags for hardening, build-dep on dpkg-dev (>= 1.16.1.1~).
  * Minor changes on building flags to work on a funny building suite.
  * Add lintian-overrides on unsupported hardening flags.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 26 Jun 2012 17:16:52 -0300

fbpanel (6.1-5) unstable; urgency=low

  * Provide hints on plugin/volume issue (ref: ALSA vs OSS) (Closes: #678522).
  * Drop suggestion on 'menu', thanks FrankLinPIAT (Closes: #647366).
  * Include some terminal icons, cortesy of FrancescoPoli (Closes: #585795).
  * Enabled gcc hardening flags, runtime depend on hardening-includes.
  * Runtime pre-depend on dpkg-dev, because of dpkg-maintscript-helper.
  * Bump up Standards-Version to 3.9.3 (no changes required).
  * Reformated debian/copyright following new format specification.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 25 Jun 2012 12:30:55 -0300

fbpanel (6.1-4) unstable; urgency=low

  * Fix FTBFS on hurd, patch by Samuel Thibault (Closes: #637550).
  * Bump up Standards-Version to 3.9.2 (no changes required).
  * Minor changes on pkg description.
  * Enhance porting targets on debian/rules.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 15 Aug 2011 10:55:16 -0300

fbpanel (6.1-3) unstable; urgency=low

  * The 'Third-time-lucky' dupload.
  * Fix FTBFS due to toolchain changes on X11, adds build-dep on libx11-dev
    (Closes: #618091).
  * Remove deprecated global configuration from etc (Closes: #588578).
  * Fix little typo on GUI (Closes: #590727).
  * Bump up Standards-Version to 3.9.1.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 27 Mar 2011 00:05:09 -0300

fbpanel (6.1-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD due to linux-specific features (Closes: #589466).

 -- Ulises Vitulli <dererk@debian.org>  Sun, 18 Jul 2010 13:29:42 -0300

fbpanel (6.1-1) unstable; urgency=low

  * New upstream release (Closes: #587479, #589113).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 15 Jul 2010 05:13:47 -0300

fbpanel (6.0-2) unstable; urgency=low

  * Use a debian logo on default templates for menu list.
  * Use x-terminal-emulator instead of x-terminal (Closes: #585577).
  * Include upstream documentation (converted to plain text format).
  * Updated manpage options and description.
  * Bump up Standards-Version to 3.9.0.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 06 Jul 2010 02:35:37 -0300
