=== debian/control ===
Source: fbpanel
Section: x11
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org> 
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libgtk2.0-dev, libxmu-dev, 
 libxpm-dev, libx11-dev, dpkg-dev (>= 1.16.1.1~)
Standards-Version: 3.9.3
Homepage: http://fbpanel.sourceforge.net/

Package: fbpanel
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Suggests: hicolor-icon-theme
Description: lightweight X11 desktop panel
 FBPanel is a spinoff of the fspanel (f***ing small panel) with more eye
 candy.  It provides a taskbar (list of all opened windows), desktop
 switcher, launchbar, clock, is EWMH/NETWM compliant, and has modest
 resource usage.
