=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,16 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# See lintian-override
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-PIE
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-
-CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -18,8 +20,12 @@
 	CFLAGS += -O2
 endif
 
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: 
 	dh_testdir
@@ -27,7 +33,10 @@
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--libexecdir=\$${prefix}/lib/fbpanel \
-		--datadir=\$${prefix}/share 
+		--datadir=\$${prefix}/share \
+		--ldflagsx="$(LDFLAGS) -lglib-2.0 -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 \
+					-lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 \
+					-lglib-2.0 -lX11" 
 	$(MAKE)
 	touch $@
 
@@ -43,7 +52,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs usr/bin etc/fbpanel
+	dh_installdirs usr/bin usr/share/fbpanel/images
+	dh_install debian/terminal_color.svg debian/terminal_sketch.svg \
+		usr/share/fbpanel/images
 	
 	# Yeah, do it properly you bastard!
 	$(MAKE) DESTDIR=$(CURDIR)/debian/fbpanel install
@@ -60,6 +71,7 @@
 	dh_installman data/man/fbpanel.1
 	dh_link
 	dh_strip
+	dh_lintian
 	dh_compress
 	dh_fixperms
 	dh_installdeb
