## fbpanel 7.0

=== data/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

SUBDIRS := config \
    images \
    man

include $(TOPDIR)/.config/rules.mk
