=== plugins/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

SUBDIRS := battery \
    chart \
    cpu \
    dclock \
    deskno \
    deskno2 \
    genmon \
    icons \
    image \
    launchbar \
    mem \
    mem2 \
    menu \
    meter \
    net \
    pager \
    separator \
    space \
    systray \
    taskbar \
    tclock \
    volume \
    wincmd \
    user

include $(TOPDIR)/.config/rules.mk
