=== po/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ..

include $(TOPDIR)/.config/rules.mk
