=== www/Makefile ===
SUBDIRS = shots plugins
TOPDIR = .
include $(TOPDIR)/Makefile.common


all: index.html docs.html
