=== plugins/battery/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

battery_src = battery.c power_supply.c
battery_cflags = -DPLUGIN $(GTK2_CFLAGS)
battery_libs = $(GTK2_LIBS)
battery_type = lib

include $(TOPDIR)/.config/rules.mk
