=== plugins/chart/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

chart_src = chart.c
chart_cflags = -DPLUGIN $(GTK2_CFLAGS) 
chart_libs = $(GTK2_LIBS) 
chart_type = lib 

include $(TOPDIR)/.config/rules.mk
