=== plugins/cpu/Makefile ===
## miniconf makefiles ## 1.1 ##

TOPDIR := ../..

cpu_src = cpu.c
cpu_cflags = -DPLUGIN $(GTK2_CFLAGS) 
cpu_libs = $(GTK2_LIBS) 
cpu_type = lib 

include $(TOPDIR)/.config/rules.mk
