=== debian/changelog ===
fbpanel (7.0-4.2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:13:16 +0000

fbpanel (7.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing build dependency on libgdk-pixbuf-xlib-2.0-dev.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 11:06:00 +0200

fbpanel (7.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Ubuntu to fix FTBFS with gcc 10. (Closes: #957193)
  * Add patch from Ubuntu to build using python2. (Closes: #967133)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Feb 2021 15:45:54 +0200

fbpanel (7.0-4) unstable; urgency=medium

  * Fix creation template issues. Thanks Juri Grabowski! (Closes: #878186).
  * Fix typo at manpage local patch.
  * Bump up Standards-Version to 4.1.1 (no changes required).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 12 Oct 2017 08:54:27 -0300

fbpanel (7.0-3) unstable; urgency=high

  * Fix debian/copyright, include proper licenses and format.
    Thanks FrancescoPoli! (Closes: #846626).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 05 Jan 2017 20:22:14 -0300

fbpanel (7.0-2) unstable; urgency=medium

  * Restored terminal_sketch.svg and terminal_color.svg missed 
    transitioning to debhelper (Closes: #585795).
  * Refreshed local patches:
    - ftbfs-hurd.patch
    - manpage-enhance.patch
    - plugins_volume_oss+alsa_hint.patch

 -- Ulises Vitulli <dererk@debian.org>  Wed, 30 Nov 2016 10:29:14 -0300

fbpanel (7.0-1) unstable; urgency=medium

  * The long-time-expected 'we-are-back!' dupload.
  * New upstream release (Closes: #593725, #587477, #823817, #844595).
  * Transition to new dh helpers (Closes: #659751).
  * Updated package policy and build tools.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 09 May 2016 19:25:24 -0300
