=== debian/control ===
Source: fbpanel
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ulises Vitulli <dererk@debian.org> 
Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev, libxmu-dev, 
 libxpm-dev, python2, libgdk-pixbuf-xlib-2.0-dev
Standards-Version: 4.1.1
Homepage: https://github.com/aanatoly/fbpanel

Package: fbpanel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
Suggests: menu, hicolor-icon-theme
Description: lightweight X11 desktop panel
 FBPanel is a spinoff of the fspanel (f***ing small panel) with more eye candy.
 It provides a taskbar (list of all opened windows), desktop switcher, 
 launchbar, clock, is EWMH/NETWM compliant, and has modest resource usage.
