=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+="-z bindnow"

%:
	dh $@ 

override_dh_auto_configure:
	./configure --prefix=/usr \
		--infodir=/usr/share/info \
		--libexecdir=/usr/lib/fbpanel/fbpanel \
		--mandir=/usr/share/man/man1 \
		--sysconfdir=/etc/fbpanel CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

override_dh_auto_clean:
	make -j1 distclean || true

override_dh_fixperms:
	chmod a-x $(CURDIR)/debian/fbpanel/usr/share/fbpanel/images/default.xpm
	dh_fixperms

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	uscan --force-download --rename --repack\
	--download-version=$(DEB_UPSTREAM_VERSION) --destdir=.

override_dh_install:
	dh_install debian/terminal_color.svg usr/share/fbpanel/images 
	dh_install debian/terminal_sketch.svg usr/share/fbpanel/images
	dh_install
